X
Tap here to go to the mobile version of the site.

Support Forum

Can't download or install new version of firefox

Posted

I use 64-bit windows 7 os in Dell inspiron 15R laptop. My firefox browser was up-to-date until a couple of days before. Then soon it started crashing. No way I could sustain a window open for more than a few seconds. (If i reboot the system it may last for a few more minutes) At last as a last retort i uninstalled firefox and downloaded the latest version (Firefox Setup 25.0.1). But now when i tried to run the setup file, it says i can't run that in the version of widows i'm using. but, i have been using firefox in the same machine for years now! then from another link i downloaded Firefox Setup Stub 25.0.1. But running this file does not proceed at all! It shows 'downloading' for hours without progress. Now i could manage to install an old set-up file 16.0.2 but i could no way be upgraded. How can i upgrade to the latest version. I simply loved firefox more than any other browser and i've been using it for years. This is the first time i'm facing such a big headache. Please help me figure this out. (thanks in advance for the patient reading)

I use 64-bit windows 7 os in Dell inspiron 15R laptop. My firefox browser was up-to-date until a couple of days before. Then soon it started crashing. No way I could sustain a window open for more than a few seconds. (If i reboot the system it may last for a few more minutes) At last as a last retort i uninstalled firefox and downloaded the latest version (Firefox Setup 25.0.1). But now when i tried to run the setup file, it says i can't run that in the version of widows i'm using. but, i have been using firefox in the same machine for years now! then from another link i downloaded Firefox Setup Stub 25.0.1. But running this file does not proceed at all! It shows 'downloading' for hours without progress. Now i could manage to install an old set-up file 16.0.2 but i could no way be upgraded. How can i upgrade to the latest version. I simply loved firefox more than any other browser and i've been using it for years. This is the first time i'm facing such a big headache. Please help me figure this out. (thanks in advance for the patient reading)

Chosen solution

Don't try any older versions.

I've got two methods you can try, use ninite to try to install Firefox, http://ninite.com/firefox/

Or, download and install it from http://mozilla.mirrors.tds.net/pub/mozilla.org/firefox/releases/latest/win32/en-US/Firefox%20Setup%2025.0.1.exe

If you get an error message please put the exact error message and what point in the install you got it in this thread.

Read this answer in context 4

Additional System Details

Installed Plug-ins

  • Google Talk Plugin Video Accelerator version:0.1.44.29
  • Version 4.9.1.16010
  • Google Update
  • Shockwave Flash 11.9 r900
  • Next Generation Java Plug-in 10.45.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 5.1.20913.0
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.8
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.2.122
  • NPWLPG
  • Facebook Video Calling Plugin

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

{"libraryVersions": {"NSSSMIME": {"minVersion": "3.13.6.0 Basic ECC", "version": "3.13.6.0 Basic ECC"}, "NSSUTIL": {"minVersion": "3.13.6.0", "version": "3.13.6.0"}, "NSS": {"minVersion": "3.13.6.0 Basic ECC", "version": "3.13.6.0 Basic ECC"}, "NSSSSL": {"minVersion": "3.13.6.0 Basic ECC", "version": "3.13.6.0 Basic ECC"}, "NSPR": {"minVersion": "4.9.2", "version": "4.9.2"}}, "javaScript": {"incrementalGCEnabled": true}, "accessibility": {"forceDisabled": 0, "isActive": false}, "application": {"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0", "supportURL": "http://support.mozilla.org/1/firefox/16.0.2/WINNT/en-US/", "version": "16.0.2", "name": "Firefox"}, "modifiedPreferences": {"security.warn_viewing_mixed": false, "extensions.lastAppVersion": "16.0.2", "browser.places.smartBookmarksVersion": 4, "network.cookie.prefsMigrated": true, "gfx.direct3d.last_used_feature_level_idx": 0, "browser.cache.disk.capacity": 358400, "browser.startup.homepage_override.buildID": "20121024073032", "browser.cache.disk.smart_size.first_run": false, "accessibility.typeaheadfind.flashBar": 0, "plugin.importedState": true, "browser.startup.homepage_override.mstone": "16.0.2", "places.history.expiration.transient_current_max_pages": 78098, "dom.mozApps.used": true, "browser.sessionstore.upgradeBackup.latestBuildID": "20131112160018", "browser.cache.disk.smart_size_cached_value": 604160, "gfx.direct3d.prefer_10_1": true, "browser.cache.disk.smart_size.use_old_max": false, "browser.startup.homepage": "http://www.google.co.in/", "plugin.disable_full_page_plugin_for_types": "application/pdf", "privacy.sanitize.migrateFx3Prefs": true, "places.database.lastMaintenance": 1384684086}, "extensions": [{"version": "4.9.21", "name": "DownloadHelper", "isActive": true, "id": "{b9db16a4-6edc-47ec-a1f4-b86292ed211d}"}, {"version": "1.04", "name": "Multifox Toolbar Button", "isActive": true, "id": "multifox-toolbar-button@rbaldwin"}, {"version": "1.2.2", "name": "Test Pilot", "isActive": true, "id": "testpilot@labs.mozilla.com"}, {"version": "1.1a", "name": "Troubleshooter", "isActive": true, "id": "troubleshooter@mozilla.org"}, {"version": "1.97.26", "name": "Video Downloader professional", "isActive": true, "id": "ffext_basicvideoext@startpage24"}, {"version": "1.0", "name": "SmartPrintButton", "isActive": false, "id": "quickprint@hp.com"}], "graphics": "Troubleshoot data provider failed: graphics\nTypeError: ext is null", "userJS": {"exists": false}}

FredMcD
  • Top 10 Contributor
3591 solutions 49052 answers

All this started with the latest Firefox? Try downloading and old version, v24 maybe, and see if the problem is still there.

https://www.mozilla.org

All this started with the latest Firefox? Try downloading and old version, v24 maybe, and see if the problem is still there. '''''[https://www.mozilla.org https://www.mozilla.org]'''''
guigs
  • Administrator
  • Moderator
1062 solutions 11571 answers

Also could you please provide the link you used to download the latest version?

Also could you please provide the link you used to download the latest version?

Question owner

it persists for all the newly downloaded files. The one i could install was a set up file which i had saved to my hard disc at a time when that one was the latest version

it persists for all the newly downloaded files. The one i could install was a set up file which i had saved to my hard disc at a time when that one was the latest version

Question owner

https://www.mozilla.org/en-US/firefox/all/

this was the link i downloaded the latest version. I also tried filehippo

https://www.mozilla.org/en-US/firefox/all/ this was the link i downloaded the latest version. I also tried filehippo
kobe 441 solutions 5048 answers

Most possible ways to update firefox are told in the Update Firefox to the latest version article.

Most possible ways to update firefox are told in the [[Update Firefox to the latest version]] article.

Question owner

I have tried that update method too. It says update failed :(

I have tried that update method too. It says update failed :(
FredMcD
  • Top 10 Contributor
3591 solutions 49052 answers

Have you tried an older version as I suggested? Have you been having any problems with your internet or modem? Check your firewall settings. We are all trying to help, but until we find the real problem, the only thing we can do is try a lot of ideas.

Have you tried an older version as I suggested? Have you been having any problems with your internet or modem? Check your firewall settings. We are all trying to help, but until we find the real problem, the only thing we can do is try a lot of ideas.
Tyler Downer
  • Moderator
1386 solutions 9328 answers

Chosen Solution

Don't try any older versions.

I've got two methods you can try, use ninite to try to install Firefox, http://ninite.com/firefox/

Or, download and install it from http://mozilla.mirrors.tds.net/pub/mozilla.org/firefox/releases/latest/win32/en-US/Firefox%20Setup%2025.0.1.exe

If you get an error message please put the exact error message and what point in the install you got it in this thread.

Don't try any older versions. I've got two methods you can try, use ninite to try to install Firefox, http://ninite.com/firefox/ Or, download and install it from http://mozilla.mirrors.tds.net/pub/mozilla.org/firefox/releases/latest/win32/en-US/Firefox%20Setup%2025.0.1.exe If you get an error message please put the exact error message and what point in the install you got it in this thread.

Question owner

Thank you all for the support. It's solved. :)

Thank you all for the support. It's solved. :)
mmeieio 0 solutions 7 answers

Helpful Reply

this link you offered says: "can't find page" Ninite, as it started "run", then got an error: An error occurred. The certificate authority is invalid or incorrect [0x80072f0d] ; ; 216 any other ideas ? Any chance other browsers don't let me download Mozilla ? had if for years, went to update it, then uninstalled it, now neither Google Chrome or Internet Explorer will let me download it. Or maybe it is just my laptop, running on Windows 7 ? ? ? ? ? ?

this link you offered says: "can't find page" Ninite, as it started "run", then got an error: An error occurred. The certificate authority is invalid or incorrect [0x80072f0d] ; ; 216 any other ideas ? Any chance other browsers don't let me download Mozilla ? had if for years, went to update it, then uninstalled it, now neither Google Chrome or Internet Explorer will let me download it. Or maybe it is just my laptop, running on Windows 7 ? ? ? ? ? ?
guigs
  • Administrator
  • Moderator
1062 solutions 11571 answers

mmeieio, are you accessing the site from a mobile device? http://williamfaulkner.co.uk/2007/06/windows-mobile-ssl-0x80072f0d-invali...Please consider creating a new thread containing the specific details of your issue.

Please, feel free to post the link to your thread on this thread for volunteers interested in assisting you.

Thank you.

mmeieio, are you accessing the site from a mobile device? [http://williamfaulkner.co.uk/2007/06/windows-mobile-ssl-0x80072f0d-invalid-certificate/]Please consider creating a new thread containing the specific details of your issue. Please, feel free to post the link to your thread on this thread for volunteers interested in assisting you. Thank you.

Modified by guigs

mmeieio 0 solutions 7 answers

@guigs2 No, not from a mobile device. Accessing the site from my laptop via wi-fi. FYI, I was able to download & install an earlier version of Mozilla FF, after repeated warnings that the "certificate authority is invalid". As I had rec'd the same warnings - I was using both IE & GC browsers - in my many attempts to download & install the latest version, I finally tried to D & L Mozilla FF v.26. I continued to get <<< [JavaScript Application] ! initXpcom Type Error. CompClass is undefined >>>> popped up one after the other; X'd them out over and over. Finally switched back to other browser (IE & GC) in order to view emails from Mozilla support (like yours). Then I gave up. However, after I had re-started my PC, that error did not come back, and I am able to use this older version (26) without difficulty. Wondering if I will be getting pop-ups saying I need to "update to the most recent version of Mozilla" - 28 ? Thank you for your input !

@guigs2 No, not from a mobile device. Accessing the site from my laptop via wi-fi. FYI, I was able to download & install an earlier version of Mozilla FF, after repeated warnings that the "certificate authority is invalid". As I had rec'd the same warnings - I was using both IE & GC browsers - in my many attempts to download & install the latest version, I finally tried to D & L Mozilla FF v.26. I continued to get <<< [JavaScript Application] ! initXpcom Type Error. CompClass is undefined >>>> popped up one after the other; X'd them out over and over. Finally switched back to other browser (IE & GC) in order to view emails from Mozilla support (like yours). Then I gave up. However, after I had re-started my PC, that error did not come back, and I am able to use this older version (26) without difficulty. Wondering if I will be getting pop-ups saying I need to "update to the most recent version of Mozilla" - 28 ? Thank you for your input !